/*

  File RK2.h:

  headers for the class to solve a single step of a n-th order differential equation, 
  given the RHSs of the corresponding system of equations as a function passed among
  the arguments of the call to the solver. It uses a second order Runge-Kutta scheme.

*/

#ifndef RK2_H

#define RK2_H

class RK2
{

 private:
  int N;
  double * y;
  double * dy;
  double * ys;
  void setValue( double * );

 public:
  RK2( int, double * );
  ~RK2( );
  void getValue( double * );
  void stepRK2( double, double, void ( * )( int, double, double *, double * ) );

};

#endif
